Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class JettyPluginConvention

    java.lang.Object
      org.gradle.api.plugins.jetty.JettyPluginConvention

    public class JettyPluginConvention

Convention properties and methods added by the JettyPlugin.

Method Summary
`Integer` | `getHttpPort()` Returns the TCP port for Jetty to listen on for incoming HTTP requests.
`String` | `getStopKey()` Returns the key to use to stop Jetty.
`Integer` | `getStopPort()` Returns the TCP port for Jetty to listen on for stop requests.
`void` | `setHttpPort(Integer httpPort)`
`void` | `setStopKey(String stopKey)`
`void` | `setStopPort(Integer stopPort)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getHttpPort

    public Integer getHttpPort()

  Returns the TCP port for Jetty to listen on for incoming HTTP requests.

### getStopKey

    public String getStopKey()

  Returns the key to use to stop Jetty.

### getStopPort

    public Integer getStopPort()

  Returns the TCP port for Jetty to listen on for stop requests.

### setHttpPort

    public void setHttpPort(Integer httpPort)

### setStopKey

    public void setStopKey(String stopKey)

### setStopPort

    public void setStopPort(Integer stopPort)

Gradle API 1.10